Install/upgrade from archive


Andy

Administrator
Staff member
The best way to install or upgrade an add-in is to use the following:

Admin control panel -> Add-ons -> Add-ons

6274


The first time you try using this it will ask you to add the following to your config.php file.

$config['enableAddOnArchiveInstaller'] = true;
 

Russ

Well-Known Member
If you get the following ZipArchive error message:

1599217206733.jpg


You need to enable the php73-php-zip extension in EasyApache.

1599217415524.jpg
 

Andy

Administrator
Staff member
If you get this when you click the Install/upgrade from archive button:

1570634147183.png


You will need to check the directories in the error notice.
 

Andy

Administrator
Staff member
The purpose of "Overwrite existing files for add-on rebuilds / upgrades" is to make sure the rebuild will overwrite the files should there have been manual edits of the PHP files in the add-on.

1603636151328.jpg
 

Similar threads

Top